RDM Namespace Reference

ANSI E1.37-1 – 2012 (R2017) Additional Message Sets for ANSI E1.20 (RDM) – Part 1, Dimmer Message Sets. More...

## Classes

class | Controller
| The Controller class. More...
class | Device
| The RDM::Device class. More...
struct | Message
| The Message struct. More...
class | Parameter
| The Parameter class. More...
class | Responder
| The Responder class. More...
class | Sensor
| The Sensor class. More...
struct | Status
| The Status struct. More...
struct | UID
| The UID struct. More...

## Typedefs

using | PID = uint16_t
| Parameter Identification number.
using | MsgPtr = std::shared_ptr< Message >
| valid RDM Message
using | PidAction = std::function< void(const MsgPtr message, MsgPtr response)>
| function that acts upon a PID
using | StatusPtr = std::shared_ptr< Status >
| a valid status

## Functions

std::string | ProductCategoryDescription (const uint16_t PRODUCT_CATEGORY)
| ProductCategoryDescription. More...
std::string | ProductDetailDescription (const uint16_t PRODUCT_DETAIL)
| ProductDetailDescription. More...
std::string | NackReasonDescription (const uint16_t NR)
| NackReasonDescription. More...
std::string | StatusMessageDescription (uint16_t status)
| StatusMessageDescription. More...

## Detailed Description

ANSI E1.37-1 – 2012 (R2017) Additional Message Sets for ANSI E1.20 (RDM) – Part 1, Dimmer Message Sets.

ANSI E1.37-7 Additional Message Sets for ANSI E1.20 (RDM) - Gateway & Splitter Configuration Messages.

ANSI E1.37-2 – 2015 Entertainment Technology Additional Message Sets for ANSI E1.20 (RDM) – Part 2, IPv4 & DNS Configuration Messages.

## Function Documentation

## NackReasonDescription()

std::string RDM::NackReasonDescription | ( | const uint16_t | NR | ) |

NackReasonDescription.

Parameters

  NR |

Returns

< from E1.37-7

< from E1.37-7

< from E1.37-7

< from E1.37-7

## ProductCategoryDescription()

std::string RDM::ProductCategoryDescription | ( | const uint16_t | PRODUCT_CATEGORY | ) |

ProductCategoryDescription.

Parameters

  PRODUCT_CATEGORY |

Returns

Fixtures – intended as source of illumination

Fixture Accessories – add-ons to fixtures or projectors

Projectors - light source capable of producing realistic images from another media

Atmospheric Effect – earth/wind/fire

Intensity Control (specifically Dimming equipment)

Power Control (other than Dimming equipment)

Scenic Drive – including motorized effects unrelated to light source.

DMX Infrastructure, conversion and interfaces

Audio-Visual Equipment

Parameter Monitoring Equipment

Controllers, Backup devices

Test Equipment

Miscellaneous

## ProductDetailDescription()

std::string RDM::ProductDetailDescription | ( | const uint16_t | PRODUCT_DETAIL | ) |

ProductDetailDescription.

Parameters

  PRODUCT_DETAIL |

Returns

Generally applied to fixtures

Generally applied to fixture accessories

Generally applied to Projectors

Generally applied to Atmospheric Effects

Generally applied to Dimmers/Power controllers

Generally applied to Scenic drive

Generally applied to Data Distribution

Generally applied to Data Conversion and Interfaces

Generally applied to Audio or Video (AV) devices

Generally applied to Controllers, Backup devices and Test Equipment

Could be applied to any category

for where the Manufacturer believes that none of the defined details apply.

## StatusMessageDescription()

std::string RDM::StatusMessageDescription | ( | uint16_t | status | ) |

StatusMessageDescription.

Parameters

  status |

Returns

Here is the caller graph for this function: